<?php
// 外部ファイルの読み込み
require_once("apiconfig.php");
require_once("apifunc.php");

// じゃらん施設情報リクエストURL組み立て
$url="http://jws.jalan.net/APIAdvance/HotelSearch/V1/?key=$jalan_apikey&h_id=365524";

// simple xmlで読み込む
$xml = @simplexml_load_file($url);
$hits = $xml->Hotel;

// 宿情報から緯度経度を取り出し日本測地系座標を世界測地系に変換
foreach ($hits as $hit) {
$jx = $hit->X/3600/1000;
$jy = $hit->Y/3600/1000;
$wy = $jy - $jy * 0.00010695 + $jx * 0.000017464 + 0.0046017;
$wx = $jx - $jy * 0.000046038 - $jx * 0.000083043 + 0.010040;
}

// じゃらん施設情報リクエストURL組み立て（半径1km以内）
$url="http://jws.jalan.net/APIAdvance/HotelSearch/V1/?key=$jalan_apikey&x=$hit->X&y=$hit->Y&range=1";
$xml = @simplexml_load_file($url);
$hitsother = $xml->Hotel;

// simpleAPI 最寄り駅Webサービス
$url="http://map.simpleapi.net/stationapi?x=$wx&y=$wy";
$xml = simplexml_load_file($url);
$hitsstation = $xml->station;

$moyorieki = $hitsstation->name[0];
$todoufuken = $hitsstation->prefecture[0];


// Google 天気予報 APIリクエストURL組み立て
$query4url=urlencode($moyorieki)."+".urlencode($todoufuken);
$url="http://www.google.com/ig/api?hl=ja&weather=$query4url";
$googleBuff = file_get_contents($url);
$googleBuff = mb_convert_encoding($googleBuff, "SJIS", "UTF-8");	//一度sjisにする
$googleBuff = mb_convert_encoding($googleBuff, "UTF-8", "SJIS");	//またutf8に戻す
//$googleBuff = preg_replace("//", "", $googleBuff);
//$googleBuff  = str_replace('/>', ' />', $googleBuff);

//$search = array("\0", "\x01", "\x02", "\x03", "\x04", "\x05", "\x06"
//	, "\x07", "\x08", "\x0b", "\x0c", "\x0e", "\x0f", "\x90", "\x5F", "\x93", "\x63", "\x89", "\x77", "\x20", "\x8C");
//$googleBuff = str_replace($search, '', $googleBuff);


$xml = simplexml_load_string($googleBuff);

$hitsweather = $xml->weather->forecast_conditions;
//print_r($xml);

?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Script-Type" content="text/javascript">
<title>Google Maps API</title>
<meta name="keywords" content="" />
<meta name="description" content="" />
<!--[if IE]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->

<!-- 【１】Google Maps APIを呼び出し-->
<script type="text/javascript" src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=ABQIAAAARNKNzuC0CB6m_78GurnqdBS5W9OKBi_CR9twwzki4dAhOMC2xhTkeNoaBcZtPskn6m7NxOrEFVBaSg"></script>

<!-- 【２】どんな地図を描くか設定 -->
<script type="text/javascript">
/*
Google Maps APIを使って地図を表示する(2010/04/15)
made by wackey
*/


// ■このページ読み込まれたら地図を描く
window.onload = function() {
if( GBrowserIsCompatible() ){

var g_map;

// ■Google Adsense 地名検索(Google Bar)版設定ここから
//	var mapOptions = {
//    googleBarOptions : {
//      style : "new",
//      adsOptions: {
//      client: "partner-pub-5000000000000",
//      channel: "xxxxxxxxx",
//      adsafe: "high",
//      language: "ja"
//      }
//    }
//  }
//g_map = new GMap2(document.getElementById("map_canvas"),mapOptions);
//g_map.enableGoogleBar();
//g_map.setUIToDefault();
// ■Google Adsense 地名検索(Google Bar)版設定ここまで


// ■<div id="map_canvas">と結びつけて、その領域に地図を描く
g_map = new GMap2(document.getElementById("map_canvas"));

// ■地図の設定　G_NORMAL_MAP 地図　G_SATELLITE_MAP 衛星写真　G_HYBRID_MAP 地図＋衛星写真
g_map.setMapType(G_NORMAL_MAP);

// ■地図を表示する緯度経度を指定する
var pos = new GLatLng("<?php echo $wy; ?>","<?php echo $wx; ?>");

// ■地図の中心を指定（必須）
g_map.setCenter(pos);

// ■ズームレベルの指定 0～17
g_map.setZoom(17);

/*
■■■■■勉強会でのカスタマイズは下記からスタートする■■■■■
*/

// ■拡大縮小のコントローラーを追加する どちらかを選ぶ
//g_map.addControl(new GSmallMapControl());//クリックして調節
g_map.addControl(new GLargeMapControl());//ドラッグで調節

// ■地図種類コントロールボタン追加
g_map.addControl(new GMapTypeControl());

// ■スケールコントローラ(尺度定規)を付ける
g_map.addControl(new GScaleControl());

// ■マーカーを表示する(地図の中央に)
var marker = new GMarker(pos);
g_map.addOverlay(marker);

// ■情報ウィンドウの表示
//var html = '<p>ここは<a href="http://www.linkshare.ne.jp/">リンクシェア</a>のオフィスです。<br />今日は勉強会です♪</p>';
//g_map.openInfoWindowHtml(g_map.getCenter(),html);

// ■マーカーの追加
<?php foreach ($hitsother as $hit) { ?>
<?php
$jx = $hit->X/3600/1000;
$jy = $hit->Y/3600/1000;
$wy = $jy - $jy * 0.00010695 + $jx * 0.000017464 + 0.0046017;
$wx = $jx - $jy * 0.000046038 - $jx * 0.000083043 + 0.010040;
?>
var marker = new GMarker(new GLatLng("<?php echo $wy; ?>","<?php echo $wx; ?>"));
g_map.addOverlay(marker);
<?php } ?>

// ■マーカーの追加
<?php foreach ($hitsstation as $hit) { ?>
<?php
$name = h($hit->name);
?>
// ■ジオコーディング機能（住所や施設名から緯度経度を算出）
var address = "<?php echo $name; ?>";
var clientGeocoder = new GClientGeocoder();
var pos = clientGeocoder.getLatLng(address, geocordmap);
var marker = new GMarker(pos);
g_map.addOverlay(marker);
<?php } ?>

// ■アイコンマーカー表示
//var icon = new GIcon();
//icon.image = "images/star.gif";
//icon.shadow = "images/shadow.png";
//icon.iconSize = new GSize(72.0, 72.0);
//icon.shadowSize = new GSize(109.0, 72.0);
//icon.iconAnchor = new GPoint(36.0, 36.0);
//icon.infoWindowAnchor = new GPoint(36.0, 36.0);
//g_map.addOverlay(new GMarker(pos, icon));

// ■ジオコーディング機能（住所や施設名から緯度経度を算出）
//var address = "東京都中央区日本橋2-3-6";
//var clientGeocoder = new GClientGeocoder();
//var pos = clientGeocoder.getLatLng(address, geocordmap);
//function geocordmap(pos) {
//	g_map.setCenter(pos);
//}

// ■ルート案内
//directionsPanel = document.getElementById("route");
//directions = new GDirections(g_map, directionsPanel);
// ドライブモード用
//directions.load("from: 銀座 to: 東京ディズニーランド", { locale: "ja_JP" } );
// 徒歩用
//directions.load("from: 銀座 to: 東京ディズニーランド", { locale: "ja_JP",travelMode: G_TRAVEL_MODE_WALKING } );
// 徒歩用
//directions.load("from: 神田駅（東京） to: 東京都千代田区内神田1-2-8", { locale: "ja_JP",travelMode: G_TRAVEL_MODE_WALKING } );

// ■Google Adsense Maps Ad Unit
//var publisher_id = "ca-pub-500000000000"; //ご自身の GoogleAdSense の ID（コンテンツ）
//adsManagerOptions = {
//maxAdsOnMap : 3, //地図上に常に表示される広告の最大数。デフォルト値は 3 。
//style: 'adunit',
//channel: 'xxxxxxxxxxxxx' //チャネルは、AdSense 運営者が複数のソースからの広告収入を追跡するために使用できるオプション機能。
//};
//adsManager = new GAdsManager(g_map, publisher_id, adsManagerOptions);
//adsManager.enable();

// ■ストリートビューが可能な道を表示
//g_map.addOverlay(new GStreetviewOverlay());

// ■ストリートビューを表示　posは最初に地図表示に指定した緯度経度
//stPanorama = new GStreetviewPanorama(document.getElementById("streetview"),{latlng:pos});

// ■ストリートビューを表示　posは最初に地図表示に指定した緯度経度に左へ90度回転した状態を表示
//stPanorama = new GStreetviewPanorama(document.getElementById("streetview"),{latlng:pos,pov:{yaw:-90}});

}		
}


</script>

</head>
<body>
<!-- 地図はここに描画される -->
<div id="map_canvas" style="width: 640px; height: 480px;margin: 0px;"></div>
<!-- ここにホテル情報を表示する -->
<?php foreach ($hits as $hit) { ?>
<h2><?php echo h($hit->HotelName); ?></h2>
<?php echo h($hit->HotelCatchCopy); ?><br />
緯度：<?php echo $wy; ?><br />
経度：<?php echo $wx; ?><br />
<?php } ?>
<?php foreach ($hitsstation as $hit) { ?>
<?php echo h($hit->name)."　";?>
<?php } ?>

<?php foreach ($hitsweather as $hit) { ?>
<img src="http://www.google.com/<?php echo h($hit->condition["data"]);?>" /><br />
<?php } ?>

</body>
</html>